Bug 197073 - AX: Remove deprecated Accessibility Object Model events
Summary: AX: Remove deprecated Accessibility Object Model events
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: Other
Hardware: All All
: P2 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-18 14:08 PDT by chris fleizach
Modified: 2019-04-24 00:46 PDT (History)
4 users (show)

See Also:


Attachments
patch (60.00 KB, patch)
2019-04-19 14:58 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (60.57 KB, patch)
2019-04-19 15:00 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (61.38 KB, patch)
2019-04-19 15:26 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (64.23 KB, patch)
2019-04-19 15:37 PDT, chris fleizach
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.41 MB, application/zip)
2019-04-19 17:30 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-highsierra-wk2 (3.97 MB, application/zip)
2019-04-19 18:42 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (9.97 MB, application/zip)
2019-04-19 21:24 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.87 MB, application/zip)
2019-04-19 21:39 PDT, Build Bot
no flags Details
patch (69.54 KB, patch)
2019-04-22 12:09 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (70.75 KB, patch)
2019-04-22 12:18 PDT, chris fleizach
rniwa: review+
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (3.00 MB, application/zip)
2019-04-22 17:20 PDT, Build Bot
no flags Details
Patch (74.44 KB, patch)
2019-04-23 16:12 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (74.73 KB, patch)
2019-04-23 16:35 PDT, chris fleizach
no flags Details | Formatted Diff | Diff
patch (74.41 KB, patch)
2019-04-23 16:40 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description chris fleizach 2019-04-18 14:08:07 PDT
AOM events as implemented in WebKit have been deprecated
https://wicg.github.io/aom/spec/input-events.html

The new current proposal will be a new direction and should be handled with a different patch, if we decide to adopt it.
Comment 1 Radar WebKit Bug Importer 2019-04-18 14:08:19 PDT
<rdar://problem/50027819>
Comment 2 chris fleizach 2019-04-19 14:58:02 PDT
Created attachment 367836 [details]
patch
Comment 3 chris fleizach 2019-04-19 15:00:38 PDT
Created attachment 367838 [details]
patch
Comment 4 Build Bot 2019-04-19 15:03:43 PDT
Attachment 367838 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityObject.cpp:2204:  Weird number of spaces at line-start.  Are you using a 4-space indent?  [whitespace/indent] [3]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:570:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:571:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:574:  Path does not exist.  [test/expectations] [5]
Total errors found: 4 in 5 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 chris fleizach 2019-04-19 15:26:27 PDT
Created attachment 367843 [details]
patch
Comment 6 Build Bot 2019-04-19 15:28:36 PDT
Attachment 367843 [details] did not pass style-queue:


ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:570:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:571:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:574:  Path does not exist.  [test/expectations] [5]
Total errors found: 3 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 chris fleizach 2019-04-19 15:37:40 PDT
Created attachment 367846 [details]
patch
Comment 8 Build Bot 2019-04-19 15:40:31 PDT
Attachment 367846 [details] did not pass style-queue:


ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:570:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:571:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:574:  Path does not exist.  [test/expectations] [5]
Total errors found: 3 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Build Bot 2019-04-19 17:30:34 PDT
Comment on attachment 367846 [details]
patch

Attachment 367846 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/11936545

New failing tests:
js/dom/dom-static-property-for-in-iteration.html
Comment 10 Build Bot 2019-04-19 17:30:35 PDT
Created attachment 367856 [details]
Archive of layout-test-results from ews101 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews101  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 11 Build Bot 2019-04-19 18:42:48 PDT
Comment on attachment 367846 [details]
patch

Attachment 367846 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11937035

New failing tests:
js/dom/dom-static-property-for-in-iteration.html
Comment 12 Build Bot 2019-04-19 18:42:49 PDT
Created attachment 367861 [details]
Archive of layout-test-results from ews106 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 13 Build Bot 2019-04-19 21:24:03 PDT
Comment on attachment 367846 [details]
patch

Attachment 367846 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11937892

New failing tests:
accessibility/ios-simulator/AOM-dismiss-event.html
accessibility/ios-simulator/accessibility-focus-do-not-set-focus.html
Comment 14 Build Bot 2019-04-19 21:24:05 PDT
Created attachment 367873 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 15 Build Bot 2019-04-19 21:39:00 PDT
Comment on attachment 367846 [details]
patch

Attachment 367846 [details] did not pass mac-debug-ews (mac):
Output: https://webkit-queues.webkit.org/results/11938048

New failing tests:
js/dom/dom-static-property-for-in-iteration.html
Comment 16 Build Bot 2019-04-19 21:39:02 PDT
Created attachment 367874 [details]
Archive of layout-test-results from ews117 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 17 chris fleizach 2019-04-22 12:09:33 PDT
Created attachment 367957 [details]
patch
Comment 18 Build Bot 2019-04-22 12:13:11 PDT
Attachment 367957 [details] did not pass style-queue:


ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:570:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:571:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:572:  Path does not exist.  [test/expectations] [5]
ERROR: /Volumes/Data/StyleQueue/WebKit/LayoutTests/platform/mac-wk1/TestExpectations:574:  Path does not exist.  [test/expectations] [5]
Total errors found: 4 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 19 chris fleizach 2019-04-22 12:18:25 PDT
Created attachment 367959 [details]
patch
Comment 20 Build Bot 2019-04-22 17:20:43 PDT
Comment on attachment 367959 [details]
patch

Attachment 367959 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/11966525

New failing tests:
js/dom/dom-static-property-for-in-iteration.html
Comment 21 Build Bot 2019-04-22 17:20:45 PDT
Created attachment 368000 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 22 Ryosuke Niwa 2019-04-22 19:35:45 PDT
Comment on attachment 367959 [details]
patch

I think you need to rebaseline js/dom/dom-static-property-for-in-iteration.html.
Comment 23 chris fleizach 2019-04-23 16:12:10 PDT
Created attachment 368077 [details]
Patch
Comment 24 chris fleizach 2019-04-23 16:35:53 PDT
Created attachment 368082 [details]
patch
Comment 25 Build Bot 2019-04-23 16:37:37 PDT
Attachment 368082 [details] did not pass style-queue:


ERROR: Source/WebCore/accessibility/AccessibilityObject.cpp:3031:  Missing spaces around ||  [whitespace/operators] [3]
Total errors found: 1 in 6 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 26 chris fleizach 2019-04-23 16:40:33 PDT
Created attachment 368083 [details]
patch
Comment 27 WebKit Commit Bot 2019-04-24 00:46:14 PDT
Comment on attachment 368083 [details]
patch

Clearing flags on attachment: 368083

Committed r244582: <https://trac.webkit.org/changeset/244582>
Comment 28 WebKit Commit Bot 2019-04-24 00:46:16 PDT
All reviewed patches have been landed.  Closing bug.